<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/pollution_hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2004 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<!-- Nadpis *********************************************************** -->
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td class="tdtransp" align="center">
		
		<h1><xsl:call-template name="_AvgVOC"/></h1>
					
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<hr/>
	</div>
	<!-- ****************************************************************** -->	
		
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

	<!-- Vypis skupin v reportu ******************************************* -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow">
	
		<h3>
		
		<xsl:if test="@COMPONENT_GROUP = 'VOC-a'">
			VOC - ČHMÚ
		</xsl:if>
		
		<xsl:if test="@COMPONENT_GROUP = 'VOC-b'">
			VOC - ZÚ
		</xsl:if>
		
		</h3>
		
		<!-- Telo skupiny ***************************************************** -->
		<div>
		<xsl:apply-templates/>
		</div>
		<!-- ****************************************************************** -->
		
	
	</xsl:template>
	<!-- ****************************************************************** -->
	
	   
    <!-- Vypis mericich programu ****************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow">	
		
		<xsl:if test="../../@OWNER = 'ČHMÚ' or ../../@OWNER = 'CHMI'" >
						
			<xsl:if test="../../../../../../../../@COMPONENT_GROUP = 'VOC-a'" >
			
				<!--
				<xsl:if test="@COUNT_CHILDS = 0">
					<xsl:value-of select="./@CODE"/>, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)
					<span class="nodata"><xsl:call-template name="_NoData"/></span><br/>	
				</xsl:if>
				-->
				
				<xsl:if test="@COUNT_CHILDS &gt; 0">
				
					<xsl:element name="a">
							<xsl:attribute name="href">month_<xsl:value-of select="./@CODE"/>_<xsl:value-of select="../../../../../../../../@COMPONENT_GROUP"/>.xml</xsl:attribute>
							<xsl:value-of select="./@CODE"/>	
					</xsl:element><!-- a -->, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)<br/>	
				
				</xsl:if>
				
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@OWNER = 'ZÚ' or ../../@OWNER = 'HS'" >
			<xsl:if test="../../../../../../../../@COMPONENT_GROUP = 'VOC-b'" >
			
				<xsl:if test="@COUNT_CHILDS = 0">
					<xsl:value-of select="./@CODE"/>, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)
					<span class="nodata"><xsl:call-template name="_NoData"/></span><br/>	
				</xsl:if>
				
				<xsl:if test="@COUNT_CHILDS &gt; 0">
				
					<xsl:element name="a">
							<xsl:attribute name="href">month_<xsl:value-of select="./@CODE"/>_<xsl:value-of select="../../../../../../../../@COMPONENT_GROUP"/>.xml</xsl:attribute>
							<xsl:value-of select="./@CODE"/>	
					</xsl:element><!-- a -->, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)<br/>	
				
				</xsl:if>
				
			</xsl:if>
		</xsl:if>
		
	</xsl:template>
	<!-- ****************************************************************** -->

</xsl:stylesheet>
