<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/helpline_texts.xslt"/>
	<xsl:include href="../help_xslt/pollution_hdr_ftr.xslt"/>

	<xsl:variable name="COMPONENT" select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/@COMPONENT"/>
	<xsl:variable name="IH_D" select="translate(I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/@IH_D, ',', '.')"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="stylesheet" type="text/css" href="../system/text.css"/>
		<xsl:call-template name="_JavaScripts1"/>
	</head>
	
	<!-- ****************************************************************** -->
		
	<body>
	
	<!-- Nadpis *********************************************************** -->
		
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td class="tdtransp"  align="center">
		
		<h1>
			<xsl:value-of select="$COMPONENT"/>-
			<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/I_S_AN_OVERVIEW_MEAS_PRG/DataRow/@CODE"/>
		</h1>
				
		<h3>
		<xsl:call-template name="_OverViewMPSubTitle"/>
		</h3>
		
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<hr/>
	</div>
	<!-- ****************************************************************** -->	

	<p>&nbsp;</p>

	<!-- Telo reportu ***************************************************** -->
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
                <tr><th align="left"><xsl:call-template name="_Matter_"/></th><td><xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/@COMPONENT_AS_HTML"/>-<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/I_S_AN_OVERVIEW_MEAS_PRG/DataRow/@COMPONENT_NAME"/></td></tr>
		
		<tr>
			<th align="left"><xsl:call-template name="_Locality_"/></th>
			<td>
				<xsl:element name="a">
					<xsl:attribute name="href">../pollution_locality/loc_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/@CODE"/>.xml</xsl:attribute>
					<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/@LOCALITY"/>
				</xsl:element><!-- a -->
			</td>
		</tr>
		
		<tr>
			<th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
				<xsl:element name="a">
					<xsl:attribute name="href">../pollution_meas_prg/mp_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/I_S_AN_OVERVIEW_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/I_S_AN_OVERVIEW_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
					<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/I_S_AN_OVERVIEW_MEAS_PRG/DataRow/@CODE"/>
				</xsl:element><!-- a -->
			</td>
		</tr>
		
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/@OWNER"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Unit_"/></th><td><xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/@UNIT_AS_HTML"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasMethod"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/I_S_AN_OVERVIEW_MEAS_PRG/DataRow/@MEASSURING_METHOD_NAME"/></td></tr>
	</table>
	
	<p>&nbsp;</p>

	<table class="data_table" cellspacing="1">
	<tr align="center"><th colspan="35">
		<xsl:choose> <!-- Pro veliciny jako GLRD, T, T2m ... upraveny nadpis _DayAvgValuesTitle misto _DayAvgTitle -->
			<xsl:when test="$COMPONENT = 'GLRD'"><xsl:call-template name="_DayAvgValuesTitle"/></xsl:when>
			<xsl:when test="$COMPONENT = 'T'"><xsl:call-template name="_DayAvgValuesTitle"/></xsl:when>
			<xsl:when test="$COMPONENT = 'T2m'"><xsl:call-template name="_DayAvgValuesTitle"/></xsl:when>
			<xsl:when test="$COMPONENT = 'T10m'"><xsl:call-template name="_DayAvgValuesTitle"/></xsl:when>
			<xsl:when test="$COMPONENT = 'p'"><xsl:call-template name="_DayAvgValuesTitle"/></xsl:when>
			<xsl:when test="$COMPONENT = 'h'"><xsl:call-template name="_DayAvgValuesTitle"/></xsl:when>
			<xsl:otherwise><xsl:call-template name="_DayAvgTitle"/></xsl:otherwise>
		</xsl:choose>
	</th></tr>
	
	<tr align="center">
		<th align="center"><xsl:call-template name="_Day"/>/<br/><xsl:call-template name="_Month"/></th>
		<th align="center">1</th>
		<th align="center">2</th>
		<th align="center">3</th>
		<th align="center">4</th>
		<th align="center">5</th>
		<th align="center">6</th>
		<th align="center">7</th>
		<th align="center">8</th>
		<th align="center">9</th>
		<th align="center">10</th>
		<th align="center">11</th>
		<th align="center">12</th>
		<th align="center">13</th>
		<th align="center">14</th>
		<th align="center">15</th>
		<th align="center">16</th>
		<th align="center">17</th>
		<th align="center">18</th>
		<th align="center">19</th>
		<th align="center">20</th>
		<th align="center">21</th>
		<th align="center">22</th>
		<th align="center">23</th>
		<th align="center">24</th>
		<th align="center">25</th>
		<th align="center">26</th>
		<th align="center">27</th>
		<th align="center">28</th>
		<th align="center">29</th>
		<th align="center">30</th>
		<th align="center">31</th>
		<th align="center"><xsl:call-template name="_X"/></th>
		<th align="center"><xsl:call-template name="_Max."/></th>
		<th align="center"><xsl:call-template name="_N"/></th>
	</tr>	

	<xsl:apply-templates/>	
		
    </table>
    
    <p>&nbsp;</p>
		
	<!-- ****************************************************************** -->	
	
    <!-- Zkratky ********************************************************** -->
    
    <table cellspacing="1" class="helpLine">
    <tr>
    
    <td align="left" class="helpLine"><strong><xsl:element name="span"><xsl:attribute name="id">helpLine</xsl:attribute></xsl:element>&nbsp;</strong></td>
    </tr>
    </table>
    
	<!-- ****************************************************************** -->	

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis detailu **************************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_OVERVIEW/DataRow/I_S_AN_OVERVIEW_REGION/DataRow/I_S_AN_OVERVIEW_DISTRICT/DataRow/I_S_AN_OVERVIEW_LOCALITY/DataRow/I_S_AN_OVERVIEW_MEAS_PRG/DataRow/I_S_AN_OVERVIEW_VALUES/DataRow">
		
	<tr align="center">
		<th><xsl:value-of select="@MONTH_SEQ"/></th>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE1, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE1"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE1, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE1"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE2, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE2"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE2, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE2"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE3, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE3"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE3, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE3"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE4, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE4"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE4, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE4"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE5, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE5"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE5, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE5"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE6, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE6"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE6, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE6"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE7, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE7"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE7, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE7"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE8, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE8"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE8, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE8"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE9, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE9"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE9, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE9"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE10, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE10"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE10, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE10"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE11, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE11"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE11, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE11"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE12, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE12"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE12, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE12"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE13, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE13"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE13, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE13"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE14, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE14"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE14, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE14"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE15, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE15"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE15, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE15"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE16, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE16"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE16, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE16"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE17, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE17"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE17, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE17"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE18, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE18"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE18, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE18"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE19, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE19"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE19, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE19"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE20, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE20"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE20, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE20"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE21, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE21"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE21, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE21"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE22, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE22"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE22, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE22"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE23, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE23"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE23, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE23"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE24, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE24"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE24, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE24"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE25, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE25"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE25, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE25"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE26, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE26"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE26, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE26"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE27, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE27"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE27, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE27"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE28, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE28"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE28, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE28"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE29, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE29"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE29, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE29"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE30, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE30"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE30, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE30"/>
			</xsl:if>
		</td>
		
		<td>
			<xsl:if test="translate(@DAY_VALUE31, ',', '.') &gt; $IH_D" >
				<b><xsl:value-of select="@DAY_VALUE31"/></b>
			</xsl:if>
			<xsl:if test="translate(@DAY_VALUE31, ',', '.') &lt;= $IH_D or $IH_D=''" >
				<xsl:value-of select="@DAY_VALUE31"/>
			</xsl:if>
		</td>
		
		
		<td><xsl:value-of select="@X"/></td>
		<td><xsl:value-of select="@MAX_VALUE"/></td>
		<td><xsl:value-of select="@N"/></td>
	</tr>	
			
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
