<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/precipitation_hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="P_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css"/>
	</head>
	<!-- ****************************************************************** -->

	<body>
	
	<!-- Nadpis *********************************************************** -->	
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td  class="tdtransp" align="center">
		
		<h1>
			<xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_REGION/DataRow/P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@CODE"/>,
			<xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_REGION/DataRow/P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/@LOCALITY"/>
		</h1>
		
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<h3><xsl:call-template name="_SituationInYear"/><xsl:value-of select="P_S_AN_REPORT/DataRow/@YEAR_REPORT"/></h3>
	<hr/>
	</div>
	<!-- ****************************************************************** -->
	
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->
	
	</body>
	</html>
	
	</xsl:template>
	
	<!-- Vypis mericiho programu ****************************************** -->
	<xsl:template match="P_S_AN_REPORT/DataRow/P_S_AN_REGION/DataRow">
	
	<table class="data_table" cellspacing="1">
		<tr><th colspan="10"><xsl:call-template name="_BasicData"/></th></tr>
		<tr><td colspan="2"><xsl:call-template name="_KMPLDesc"/></td><td colspan="8"><b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@CODE"/></b></td></tr>
		<tr><td colspan="2"><xsl:call-template name="_OldIsko2"/></td><td colspan="8"><b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MEAS_PRG_ISKO"/></b></td></tr>
		<tr><td colspan="2"><xsl:call-template name="_Locality_"/></td><td colspan="8">
								<b>
									<xsl:element name="a">
										<xsl:attribute name="href">../precipitation_locality/loc_<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/@CODE"/>.xml</xsl:attribute>
									<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/@LOCALITY"/>
									</xsl:element><!-- a -->
								</b></td></tr>
		<tr><td colspan="2"><xsl:call-template name="_TypeMeasPrg2"/></td><td colspan="8"><b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MEAS_PRG_TYPE"/></b></td></tr>
		<tr><td colspan="2"><xsl:call-template name="_MeasNetworks"/></td><td colspan="8"><b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MEAS_NETWORKS"/></b>&nbsp;</td></tr>
		
		<!-- Adresy  ********************************************************** -->
		<tr><th colspan="10"><xsl:call-template name="_Adress"/></th></tr>
		
		<tr>
			<td colspan="2" rowspan="3"><xsl:call-template name="_Admin"/></td>
			<td colspan="4" rowspan="3">
			<b>
			<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_ORG_NAME"/>
			<br/><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_STREET"/>
			<br/><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_TITLE_BEFORE"/><xsl:if test="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_TITLE_BEFORE != ''">&nbsp;</xsl:if>
				 <xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_FIRST_NAME"/>&nbsp;
				 <xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_LAST_NAME"/>&nbsp;
				 <xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_TITLE_BEHIND"/>&nbsp;
			<br/>
			<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_POST_CODE"/>&nbsp;
			<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_CITY"/>
			</b></td>
			<td colspan="4">Tel: <b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_PHONE"/></b></td>
		</tr>
		<tr><td colspan="4">Fax: <b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_FAX"/></b></td></tr>
		<tr>
			<td colspan="4">
				E-mail: 
				<xsl:element name="a">
					<xsl:attribute name="href">mailto:<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_EMAIL"/></xsl:attribute>
					<b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MANAGER_EMAIL"/></b>
				</xsl:element><!-- a -->
			</td>
		</tr>
		
		<tr>
			<td colspan="2" rowspan="3"><xsl:call-template name="_DataSup"/></td>
			<td colspan="4" rowspan="3">
			<b>
			<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_ORG_NAME"/>
			<br/><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_STREET"/>
			<br/><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_TITLE_BEFORE"/><xsl:if test="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_TITLE_BEFORE != ''">&nbsp;</xsl:if> 
				 <xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_FIRST_NAME"/>&nbsp;
				 <xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_LAST_NAME"/>&nbsp;
				 <xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_TITLE_BEHIND"/>&nbsp;
			<br/>
			<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_POST_CODE"/>&nbsp;
			<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_CITY"/>
			</b></td>
			<td colspan="4">Tel: <b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_PHONE"/></b></td>
		</tr>
		<tr><td colspan="4">Fax: <b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_FAX"/></b></td></tr>
		<tr>
			<td colspan="4">
				E-mail: 
				<xsl:element name="a">
					<xsl:attribute name="href">mailto:<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_EMAIL"/></xsl:attribute>
					<b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@DATSUP_EMAIL"/></b>
				</xsl:element><!-- a -->
			</td>
		</tr>
		
		
		<tr><th colspan="10"><xsl:call-template name="_AnotherData"/></th></tr>
		<tr><td colspan="2"><xsl:call-template name="_MeasPrgTarget"/></td><td colspan="8"><b><xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MEAS_TARGETS"/></b></td></tr>
		<tr><th colspan="10"><xsl:call-template name="_PlaceDesc"/></th></tr>
		<tr><td colspan="10"><b>
			<xsl:value-of select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/@MEAS_PRG_DESC"/>
		</b></td></tr>
		
		<tr><th colspan="10"><xsl:call-template name="_Registration"/><br/><small><xsl:call-template name="_TblDesc1"/></small></th></tr>
		<tr>
			<td align="center"><b>Lab.</b></td>
			<td align="center"><b><xsl:call-template name="_Component"/></b></td>
			<td align="center"><b><xsl:call-template name="_Method"/></b></td>
			<td align="center"><b><xsl:call-template name="_Unit"/></b></td>
			<td align="center"><b>A</b></td>
			<td align="center"><b>R</b></td>
			<td align="center"><b>Par.</b></td>
			<td align="center"><b>Interval</b></td>
			<td align="center"><b><xsl:call-template name="_DateFrom"/></b></td>
			<td align="center"><b><xsl:call-template name="_DateTo"/></b></td>
		</tr>
						
		<!-- Vypis velicin **************************************************** -->
		<xsl:for-each select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/P_S_AN_REGISTRATION/DataRow">
			<tr>
				<td align="center"><xsl:value-of select="./@SEQ_LABORATORY"/></td>
				<td>
					
					<xsl:value-of disable-output-escaping='yes' select="./@COMPONENT_AS_HTML"/>
															
					<small> [<xsl:value-of select="./@COMPONENT_NAME"/>]</small>
				</td>
				<td><xsl:value-of select="./@MEASSURING_METHOD"/> <small> [<xsl:value-of select="./@MEASSURING_METHOD_NAME"/>]</small></td>
				<td align="center"><xsl:value-of disable-output-escaping="yes" select="./@UNIT_AS_HTML"/></td>
				<td align="center">
					<xsl:if test="./@AUTHORIZED = 0"><xsl:call-template name="_Yes"/></xsl:if>
					<xsl:if test="./@AUTHORIZED != 0"><xsl:call-template name="_No"/></xsl:if>
				</td>
				<td align="center">
					<xsl:if test="./@REAL_TIME_DATA = 0"><xsl:call-template name="_Yes"/></xsl:if>
					<xsl:if test="./@REAL_TIME_DATA != 0"><xsl:call-template name="_No"/></xsl:if>
				</td>
				<td align="center"><xsl:value-of select="./@PARALLEL_ORDER"/></td>
				<td align="center"><xsl:value-of select="./@MEASSURING_INTERVAL"/></td>
				<td align="center"><xsl:value-of select="./@ACTIV_FROM"/></td>
				<td align="center"><xsl:value-of select="./@ACTIV_TO"/>&nbsp;</td>
			</tr>
		</xsl:for-each>
		
	</table>
	
	&nbsp;
	
	<!-- Laboratore ******************************************************* -->
	<table class="data_table" cellspacing="1">
		<tr><th colspan="10"><xsl:call-template name="_ListOfLabs"/></th></tr>
		
		<xsl:for-each select="P_S_AN_DISTRICT/DataRow/P_S_AN_LOCALITY/DataRow/P_S_AN_MEAS_PRG/DataRow/P_S_AN_LABORATORY/DataRow">
		
			<tr>
				<td rowspan="3"><xsl:call-template name="_LabNo"/><xsl:value-of select="./@SEQ"/></td>
				<td colspan="4" rowspan="3">
				<b>
				<xsl:value-of select="./@LAB_NAME"/>
				<br/><xsl:value-of select="./@ADDRESS_STREET"/>
				<br/><xsl:value-of select="./@PERSON_TITLE_BEFORE"/><xsl:if test="./@PERSON_TITLE_BEFORE != ''">&nbsp;</xsl:if>
					<xsl:value-of select="./@PERSON_FIRST_NAME"/>&nbsp;
					<xsl:value-of select="./@PERSON_LAST_NAME"/>&nbsp;
					<xsl:value-of select="./@PERSON_TITLE_BEHIND"/>
				<br/>
				<xsl:value-of select="./@ADDRESS_POST_CODE"/>&nbsp; 
				<xsl:value-of select="./@ADDRESS_CITY"/>
				</b></td>
				<td colspan="1">Tel: <b><xsl:value-of select="./@PERSON_PHONE"/></b></td>
			</tr>
			<tr><td colspan="1">Fax: <b><xsl:value-of select="./@PERSON_FAX"/></b></td></tr>
			<tr><td colspan="1">E-mail: <b>
				<xsl:element name="a"><xsl:attribute name="href">mailto:<xsl:value-of select="./@PERSON_EMAIL"/></xsl:attribute>
					<b><xsl:value-of select="./@PERSON_EMAIL"/></b>
				</xsl:element><!-- a -->
				</b></td>
			</tr>
		
		</xsl:for-each>
		
	</table>
		
	</xsl:template>
    <!-- ****************************************************************** -->
 

</xsl:stylesheet>
