<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="COMPONENT_GROUP" select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/@COMPONENT_GROUP"/>
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/precipitation_hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="P_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<!-- Nadpis *********************************************************** -->
		
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td class="tdtransp" align="center">
		
		<h1><xsl:call-template name="_PrecipMonthTitle"/></h1>
								
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<hr/>
	</div>
	<!-- ****************************************************************** -->	


	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="P_S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/@OWNER"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
			
				<xsl:if test="starts-with(P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE, '-')">
					<xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>
				</xsl:if>	
				
				<xsl:if test="not(starts-with(P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE, '-'))">
				
					<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
						<xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>	
					</xsl:element>, <!-- A -->
					<xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/@LOCALITY"/>
				
				</xsl:if>
			</td>
		</tr>
		<tr><th align="left"><xsl:call-template name="_Type_"/></th><td><xsl:value-of select="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@MEAS_PRG_TYPE"/></td></tr>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>	
			<th rowspan="2" align="center"><xsl:call-template name="_Matter"/></th>
			<!-- <th rowspan="2" align="center"><xsl:call-template name="_Method"/></th> -->
			<th rowspan="2" align="center"><xsl:call-template name="_Unit"/></th>
			
			<xsl:if test="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/@OWNER = 'ČGS'">
				<th colspan="2" align="center"><xsl:value-of select="P_S_AN_REPORT/DataRow/@YEAR_REPORT - 1"/></th>
				<th colspan="10" align="center"><xsl:call-template name="_MonthConc"/></th>
			</xsl:if>
			
			<xsl:if test="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/@OWNER != 'ČGS'">
				<th colspan="12" align="center"><xsl:call-template name="_MonthConc"/></th>
			</xsl:if>
			
			<!--	
			<th rowspan="2">Roční<br/> průměr</th>
			-->
		</tr>
		
		<tr>
			<xsl:if test="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/@OWNER = 'ČGS'">
				<th>11</th>
				<th>12</th>
				<th>1</th>
				<th>2</th>
				<th>3</th>
				<th>4</th>
				<th>5</th>
				<th>6</th>
				<th>7</th>
				<th>8</th>
				<th>9</th>
				<th>10</th>
			</xsl:if>
			
			<xsl:if test="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/@OWNER != 'ČGS'">		
				<th>1</th>
				<th>2</th>
				<th>3</th>
				<th>4</th>
				<th>5</th>
				<th>6</th>
				<th>7</th>
				<th>8</th>
				<th>9</th>
				<th>10</th>
				<th>11</th>
				<th>12</th>	
			</xsl:if>
		
		</tr>
			
		<xsl:apply-templates/>	
		
    </table>
    
    <p>&nbsp;</p>
		
	<!-- ****************************************************************** -->	
	
	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis mesicnich prumeru ****************************************** -->
	<xsl:template match="P_S_AN_REPORT/DataRow/P_S_AN_MONTH_AVG/DataRow/P_S_AN_MONTH_AVG_REGION/DataRow/P_S_AN_MONTH_AVG_DISTRICT/DataRow/P_S_AN_MONTH_AVG_LOCALITY/DataRow/P_S_AN_MONTH_AVG_MEAS_PRG/DataRow/P_S_AN_MONTH_AVG_DET/DataRow">
	
	<tr align="right">
	
		<td align="center"><xsl:value-of select="@COMPONENT"/></td>
		<!--<td align="center"><xsl:value-of select="@MEASSURING_METHOD"/></td> -->
		<td align="center"><xsl:value-of disable-output-escaping='yes' select="@UNIT_AS_HTML"/></td>
		
		<td align="right"><xsl:value-of select="@M_1"/></td>
		<td align="right"><xsl:value-of select="@M_2"/></td>
		<td align="right"><xsl:value-of select="@M_3"/></td>
		<td align="right"><xsl:value-of select="@M_4"/></td>
		<td align="right"><xsl:value-of select="@M_5"/></td>
		<td align="right"><xsl:value-of select="@M_6"/></td>
		<td align="right"><xsl:value-of select="@M_7"/></td>
		<td align="right"><xsl:value-of select="@M_8"/></td>
		<td align="right"><xsl:value-of select="@M_9"/></td>
		<td align="right"><xsl:value-of select="@M_10"/></td>
		<td align="right"><xsl:value-of select="@M_11"/></td>
		<td align="right"><xsl:value-of select="@M_12"/></td>
		
		<!--	
		<td><xsl:value-of select="@YEAR_AVG"/></td>
		-->
			
	</tr>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
