<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/precipitation_hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="P_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<!-- Nadpis *********************************************************** -->
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td class="tdtransp" align="center">
		
		<h1><xsl:call-template name="_YearAvgTotalTitle"/></h1>
		<h3><xsl:call-template name="_LayoutOwners"/></h3>
					
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<hr/>
	</div>
	<!-- ****************************************************************** -->	
		
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

		   
    <!-- Vypis vlastniku lokalit ****************************************** -->
	<xsl:template match="P_S_AN_REPORT/DataRow/P_S_AN_Y_AVG_TOTAL/DataRow">	
	
	<xsl:if test="@NUM_VALUES &gt; 0">
						
		<xsl:element name="a">
				<xsl:attribute name="href">y_avg_total_<xsl:value-of select="./@ID"/>.xml</xsl:attribute>
				<xsl:value-of select="./@OWNER_ABBREV"/>	
		</xsl:element><!-- a -->, 
		<xsl:value-of select="./@OWNER"/> - 
			
			<xsl:if test="@SAMPLING_INT = '0000-00-01 00:00:00'">
				<xsl:call-template name="_DayValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="@SAMPLING_INT = '0000-00-07 00:00:00'">
				<xsl:call-template name="_WeekValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="@SAMPLING_INT = '0000-01-00 00:00:00'">
				<xsl:call-template name="_MonthValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="@SAMPLING_INT = '0000-00-00 00:00:00'">
				<xsl:call-template name="_IrregularValues"/><br/>	
			</xsl:if>
	</xsl:if>
	</xsl:template>	
	<!-- ****************************************************************** -->

</xsl:stylesheet>
  