<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/pollution_hdr_ftr.xslt"/>
	
	<xsl:variable name="COMPONENT" select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<meta name="date" content="28-may-2003 11:42:51 GMT"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css" title="Styl obalu"/>
		<script type="text/javascript">
		<xsl:comment>
			function NajdiOkres(code)
			{
				if(code.substring(0,1) == '-')
					{ javascript:alert("<xsl:call-template name="_MsgSelectItem"/>");
					  return;
					}
				NovaStranka = "hdqy_";
				NovaStranka = NovaStranka +  code + "_" + "<xsl:value-of select="$COMPONENT"/>" + ".xml";
				location.href = NovaStranka;
			}
			
			function objGet(x) 
			{
				if (typeof x != 'string') return x;
				else if (Boolean(document.getElementById)) return document.getElementById(x);
				else if (Boolean(document.all)) return eval('document.all.'+x);  // pro MSIE 4
				else return null;
			}

			function objSetStyle (obj, prop, val) 
			{
				var o = objGet(obj);
				if (o &amp;&amp; o.style) {
					eval ('o.style.'+prop+'="'+val+'"');
					return true;
					}
				else return false;
			}

			function objGetStyle (obj, prop) 
			{
				var o = objGet(obj);
				var val;
				if (o &amp;&amp; o.style) {
					val = eval ('o.style.'+prop);
					return val;
					}
				return null;
			}

			function objDisplay (obj, on, type) 
			{
			if (on &amp;&amp; !type) type = 'block';
			return objSetStyle(obj, 'display', (on) ? type:'none');
			}


			function objSetSrc (obj, val) 
			{
				var o = objGet(obj);
				if (o) {
					eval ('o.src="'+val+'"');
					return true;
					}
				else return false;
			}

			function objDisplaySwitch (objDiv, objFolderImage)
			{
			var val = objGetStyle (objDiv, 'display');
			   
			if(val == 'none')
				{ 
				objSetSrc(objFolderImage, '../images/open_fold.gif');
				return objSetStyle(objDiv, 'display', '');
				}
			else
				{
				objSetSrc(objFolderImage, '../images/clsd_fold.gif');
				return objSetStyle(objDiv, 'display', 'none');
				}
			}

		</xsl:comment>
		</script>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<!-- Nadpis *********************************************************** -->
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td class="tdtransp" align="center">
		
		<h1><xsl:value-of select="$COMPONENT"/></h1>
				
		<h3>
		<xsl:choose>
			<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
				<xsl:call-template name="_HDQY_Chars"/>
			</xsl:when>
			<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
				<xsl:call-template name="_8HDQY_Chars"/>
			</xsl:when>
		</xsl:choose>
		<br/>
		<xsl:call-template name="_LayoutRegDistr"/>
		</h3>
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<hr/>
	</div>
	<!-- ****************************************************************** -->	
	
	<!-- Vyhledavac ******************************************************* -->
	<table class="vyhledavac">
		<tr>
			<td align='right'>
			<form action="referer">
				<div>
				<xsl:call-template name="_ListOfDistricts"/>
				<select name='stanice'>
					<option><xsl:call-template name="_MsgUnselected"/></option>
					
						<xsl:for-each select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow">
						<xsl:if test="@COUNT_CHILDS &gt; 0">
						
							<xsl:element name="optgroup">
							<xsl:attribute name="label"><xsl:call-template name="_Region"/><xsl:value-of select="@REGION"/></xsl:attribute>
							<xsl:variable name="ID_REGION" select="@ID"/>
							
							<xsl:for-each select="../DataRow/I_S_AN_HDQY_DISTRICT/DataRow[@ID_AN_REGION=$ID_REGION]" >
								<xsl:if test="@COUNT_CHILDS &gt; 0">							
									<xsl:variable name="ID_DISTRICT" select="@ID"/>													
									
									<option>
										<xsl:value-of select="../../@NATION"/><xsl:value-of select="../../@CODE"/><xsl:value-of select="@CODE"/>, <xsl:value-of select="@DISTRICT"/>				
									</option>
									
								</xsl:if>
							</xsl:for-each>
							
							</xsl:element><!-- optgroup -->
						
						</xsl:if>
						</xsl:for-each>
				</select>	
				
				<xsl:element name="input">
					<xsl:attribute name="type">button</xsl:attribute>
					<xsl:attribute name="style">width:5em</xsl:attribute>
					<xsl:attribute name="value"><xsl:call-template name="_MsgGoTo"/></xsl:attribute>
					<xsl:attribute name="onclick">NajdiOkres(stanice.options[stanice.selectedIndex].text.substring(0,5) )</xsl:attribute>												
				</xsl:element><!-- input -->
		
				</div>
			</form>
			</td>
		</tr>
	</table>

	<!-- ****************************************************************** -->
	
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

	<!-- Vypis kraju ****************************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow">
	
	<xsl:if test="@COUNT_CHILDS &gt; 0" >

		<xsl:element name="div">
			<xsl:attribute name="onclick">objDisplaySwitch('vypis<xsl:value-of select="@ID"/>', 'Of<xsl:value-of select="@ID"/>')</xsl:attribute>
			<xsl:attribute name="style">cursor:hand</xsl:attribute>
			
			<xsl:element name="h3">
				<xsl:attribute name="id">nadpis<xsl:value-of select="@ID"/></xsl:attribute>
				<xsl:attribute name="onmouseover">this.style.backgroundColor='silver'</xsl:attribute>
				<xsl:attribute name="onmouseout">this.style.backgroundColor='white'</xsl:attribute>
				
				<xsl:element name="img">
					<xsl:attribute name="id">Of<xsl:value-of select="@ID"/></xsl:attribute>
					<xsl:attribute name="alt"><xsl:call-template name="_clsd_fold"/></xsl:attribute>
					<xsl:attribute name="src">../images/clsd_fold.gif</xsl:attribute>
				</xsl:element><!-- img -->
				
				<xsl:call-template name="_Region"/><xsl:value-of select="@REGION"/>
			</xsl:element><!-- h3 -->
		</xsl:element><!-- div -->
		
		<!-- Vypis okresu ********************  -->
		<xsl:element name="div">
			<xsl:attribute name="id">vypis<xsl:value-of select="@ID"/></xsl:attribute>
			<xsl:attribute name="style">display:none</xsl:attribute>
													
			<xsl:apply-templates/>
			
		</xsl:element><!-- div -->
		<!-- ***********************************  -->
		
		<script type="text/javascript">
			<xsl:comment>
			objDisplay('vypis<xsl:value-of select="@ID"/>', false);
			</xsl:comment>
		</script>
	
	</xsl:if>
		
	</xsl:template>
    <!-- ****************************************************************** -->
    
    <!-- Vypis okresu a lokalit ******************************************* -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/I_S_AN_HDQY_DISTRICT">
				
		<table class="folder_tbl" cellspacing="1">		
			<!-- Vypis okresu ***************************************************** -->
			
			<tr><th><xsl:call-template name="_Districts"/></th></tr>
			<tr>
			<td>			
			<xsl:for-each select="DataRow">
			
				<xsl:if test="@COUNT_CHILDS &gt; 0" >
						<xsl:variable name="ID_DISTRICT" select="@ID"/>
						
						<xsl:element name="a">
							<xsl:attribute name="href">hdqy_<xsl:value-of select="../../@NATION"/><xsl:value-of select="../../@CODE"/><xsl:value-of select="./@CODE"/>_<xsl:value-of select="$COMPONENT"/>.xml</xsl:attribute>
							<xsl:value-of select="./@DISTRICT"/>
						</xsl:element><!-- a --><br/>
				</xsl:if>

			</xsl:for-each>
			</td></tr>
			<!-- ****************************************************************** -->
		</table>

	</xsl:template>
	<!-- ****************************************************************** -->
    

</xsl:stylesheet>
