<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../help_xslt/helpline_texts.xslt"/>
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/pollution_hdr_ftr.xslt"/>
		
	<xsl:variable name="COMPONENT" select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT"/>
	
	<!--xsl:if test="I_S_AN_REPORT/DataRow/@LANGUAGE_ID = 1"-->
		
	<xsl:template match="/">
			
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css"/>
		<xsl:call-template name="_JavaScripts1"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<!-- Nadpis *********************************************************** -->
		
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td  class="tdtransp" align="center">
		
		<h1>
			<xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT_AS_HTML"/>
			-
			<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/I_S_AN_HDQY_DISTRICT/DataRow/I_S_AN_HDQY_MEAS_PRG/DataRow/@COMPONENT_NAME"/>
 
			<xsl:if test="$COMPONENT = 'NOx'"> RURAL</xsl:if>
		</h1>
							
		<h3>
		<xsl:choose>
			<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
				<xsl:call-template name="_HDQY_Chars"/>
			</xsl:when>
			<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
				<xsl:call-template name="_8HDQY_Chars"/>
			</xsl:when>
		</xsl:choose>
		</h3>
		
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<hr/>
	</div>
	<!-- ****************************************************************** -->	


	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/I_S_AN_HDQY_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Matter_"/></th><td><xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT_AS_HTML"/>-<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/I_S_AN_HDQY_DISTRICT/DataRow/I_S_AN_HDQY_MEAS_PRG/DataRow/@COMPONENT_NAME"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Unit_"/></th><td><xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@UNIT_AS_HTML"/></td></tr>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV != ''">
			<tr><th align="left">
				<xsl:choose>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
						<xsl:call-template name="_Hours"/><xsl:call-template name="_LV"/>:
					</xsl:when>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
						<xsl:call-template name="_8Hours"/><xsl:call-template name="_LV"/>:
					</xsl:when>
				</xsl:choose>
				</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_MT != ''">
			<tr><th align="left">
				<xsl:choose>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
						<xsl:call-template name="_Hours"/><xsl:call-template name="_MT"/>:
					</xsl:when>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
						<xsl:call-template name="_8Hours"/><xsl:call-template name="_MT"/>:
					</xsl:when>
				</xsl:choose>
				</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_MT"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV_EXC != ''">
			<tr><th align="left">
				<xsl:choose>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
						<xsl:call-template name="_Hours"/><xsl:call-template name="_TE"/>:
					</xsl:when>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
						<xsl:call-template name="_8Hours"/><xsl:call-template name="_TE"/>:
					</xsl:when>
				</xsl:choose>
				</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV_EXC"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV != ''">
			<tr><th align="left"><xsl:call-template name="_Days"/><xsl:call-template name="_LV"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_MT != ''">
			<tr><th align="left"><xsl:call-template name="_Days"/><xsl:call-template name="_MT"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_MT"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV_EXC != ''">
			<tr><th align="left"><xsl:call-template name="_Days"/><xsl:call-template name="_TE"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV_EXC"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV != ''">
			<tr><th align="left"><xsl:call-template name="_Years"/><xsl:call-template name="_LV"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT != ''">
			<tr><th align="left"><xsl:call-template name="_Years"/><xsl:call-template name="_MT"/>:</th>
			
				<td>
					
					<xsl:choose>
						<!-- Year MT - orizni koncove nuly, As na dve des. mista, BZN zustanou 3, ostatnim nech 2 -->
						<xsl:when test="$COMPONENT = 'As'"><xsl:value-of select="substring(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, 1, string-length(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT) - 1)"/></xsl:when>
						<xsl:when test="$COMPONENT = 'BZN'"><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT"/></xsl:when>
					
						<xsl:otherwise>
							<xsl:value-of select="substring(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, 1, string-length(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT) - 2)"/>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</xsl:if>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>
			<th rowspan="3" align="center"><xsl:call-template name="_KMPL"/></th>
			<th rowspan="3" align="center"><xsl:call-template name="_Organization"/><br/><xsl:call-template name="_OldIsko"/><br/><xsl:call-template name="_Locality"/></th>
			<th rowspan="3" align="center"><xsl:call-template name="_TypeMeasPrg"/><br/><xsl:call-template name="_Method"/></th>
			<th colspan="4" align="center">
			<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">8</xsl:if><xsl:call-template name="_HoursValues"/></th>
			<th colspan="4" align="center"><xsl:call-template name="_DayValues"/></th>
			<th colspan="4" align="center"><xsl:call-template name="_QuarterValues"/></th>
			<th colspan="3" align="center"><xsl:call-template name="_YearValues"/></th>
		</tr>
		
		<tr align="center">
			
			<xsl:choose>
				<xsl:when test="$COMPONENT = 'SO2'">
					<th><xsl:call-template name="_Max."/></th>
					<th><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV_EXC + 1"/><xsl:call-template name="_MV"/></th>
					<th><xsl:call-template name="_VoL"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
					<th><xsl:call-template name="_Max."/></th>
					<th><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV_EXC + 1"/><xsl:call-template name="_MV"/></th>
					<th><xsl:call-template name="_VoL"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'NO2'">
					<th><xsl:call-template name="_Max."/></th>
					<th><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV_EXC + 1"/><xsl:call-template name="_MV"/></th>
					<th><xsl:call-template name="_VoL"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'PM10'">
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
					<th><xsl:call-template name="_Max."/></th>
					<th><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV_EXC + 1"/><xsl:call-template name="_MV"/></th>
					<th><xsl:call-template name="_VoL"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'NOx'">
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'BZN'">
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'BaP'">
					<th> </th>
					<th> </th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th> </th>
					<th> </th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'NH3'">
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'O3'">
					<th><xsl:call-template name="_Max."/></th>
					<th><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV_EXC + 1"/><xsl:call-template name="_MV"/></th>
					<th><xsl:call-template name="_VoL"/></th>
					<th>AOT40</th>
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'CO'">
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_Max."/></th>
					<th> </th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_50Kv"/></th>
				</xsl:when>
			</xsl:choose>
			
			<th><xsl:call-template name="_X1q"/></th>
			<th><xsl:call-template name="_X2q"/></th>
			<th><xsl:call-template name="_X3q"/></th>
			<th><xsl:call-template name="_X4q"/></th>
			<th><xsl:call-template name="_X"/></th>
			<th><xsl:call-template name="_S"/></th>
			<th><xsl:call-template name="_N"/></th>
		</tr>
		
		<tr align="center">
			
			<xsl:choose>
				<xsl:when test="$COMPONENT = 'SO2'">
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_VoM"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_95Kv"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'NO2'">
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_VoM"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'PM10'">
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th><xsl:call-template name="_99.9Kv"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th><xsl:call-template name="_VoM"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'NOx'">
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th><xsl:call-template name="_99.9Kv"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'BZN'">
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th><xsl:call-template name="_99.9Kv"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'BaP'">
					<th> </th>
					<th> </th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th> </th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'NH3'">
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th><xsl:call-template name="_99.9Kv"/></th>
					<th><xsl:call-template name="_98Kv"/></th>
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'O3'">
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
				<xsl:when test="$COMPONENT = 'CO'">
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th><xsl:call-template name="_VoM"/></th>
					<th> </th>
					<th><xsl:call-template name="_Date"/></th>
					<th> </th>
					<th> </th>
					<th><xsl:call-template name="_98Kv"/></th>
				</xsl:when>
			</xsl:choose>
			
			<th align="center"><xsl:call-template name="_C1q"/></th>
			<th align="center"><xsl:call-template name="_C2q"/></th>
			<th align="center"><xsl:call-template name="_C3q"/></th>
			<th align="center"><xsl:call-template name="_C4q"/></th>
			<th align="center"><xsl:call-template name="_XG"/></th>
			<th align="center"><xsl:call-template name="_SG"/></th>
			<th align="center"><xsl:call-template name="_dv"/></th>
		</tr>
			
	<xsl:apply-templates/>	
		
    </table>
    
    <p>&nbsp;</p>
    
    <!-- Zkratky ********************************************************** -->
    
    <table cellspacing="1" class="helpLine">
    <tr>
    
    <td align="left" class="helpLine"><strong><xsl:element name="span"><xsl:attribute name="id">helpLine</xsl:attribute></xsl:element>&nbsp;</strong></td>
    </tr>
    </table>
    
    <p>&nbsp;</p>
		
	<!-- ****************************************************************** -->	
	
	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</body>
	</html>
	
	</xsl:template>
	
	<!-- Vypis mer programu - data **************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/I_S_AN_HDQY_DISTRICT/DataRow/I_S_AN_HDQY_MEAS_PRG/DataRow">
	
	<tr align="right">
			<td rowspan="2" align="center">
				<xsl:element name="a">
					<xsl:attribute name="href">../pollution_meas_prg/mp_<xsl:value-of select="@CODE"/>_<xsl:value-of select="@ID_MEAS_PRG"/>.xml</xsl:attribute>
					<b>
					<xsl:element name="span">
						<xsl:attribute name="id">mp_<xsl:value-of select="@CODE"/>_<xsl:value-of select="@ID_REGISTRATION"/></xsl:attribute>
						<xsl:attribute name="style">text-align: center</xsl:attribute>
						<xsl:value-of select="@CODE"/>
					</xsl:element><!-- span -->		
					</b>
				</xsl:element><!-- a -->
				<div style="text-align: center;">
			
				<xsl:element name="a">
					<xsl:attribute name="href">../pollution_overview/overview_<xsl:value-of select="$COMPONENT"/>_<xsl:value-of select="@CODE"/>_<xsl:value-of select="@ID_REGISTRATION"/>.xml</xsl:attribute>
					<img src="../images/detail.gif" alt="Detail" />
				</xsl:element><!-- a -->
					
				</div>
				
				<span class="hidden_text"><xsl:value-of select="@ID_REGISTRATION"/></span>
			</td>  	
			<td rowspan="2" align="center"><div style="text-align: center;"><xsl:value-of select="@OWNER"/><br/><xsl:value-of select="@MEAS_PRG_ISKO"/><br/><small><xsl:value-of select="@LOCALITY"/></small></div></td>
			<td rowspan="2" align="center"><xsl:value-of select="@MEAS_PRG_TYPE"/><div style="text-align: center;"><xsl:value-of select="@MEASSURING_METHOD"/><br/></div></td>
			
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_MAX_VALUE"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_TE_PLUS1_MV_VALUE"/></td>
			<td align="right">
				<xsl:if test="./I_S_AN_HDQY_DET/DataRow/@H_VALUE1 != ''" >
				<xsl:choose>
					<xsl:when test="$COMPONENT = 'SO2'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@H_VALUE1, ',', '.'))"/></xsl:when>
					<xsl:when test="$COMPONENT = 'NO2'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@H_VALUE1, ',', '.'))"/></xsl:when>
					<xsl:when test="$COMPONENT = 'O3'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@H_VALUE1, ',', '.'))"/></xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_VALUE1"/>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:if>
			</td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_VALUE3"/></td>
			
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_MAX_VALUE"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_TE_PLUS1_MV_VALUE"/></td>
			<td align="right">
				<xsl:if test="./I_S_AN_HDQY_DET/DataRow/@D_VALUE1 != ''" >
				<xsl:choose>
					<xsl:when test="$COMPONENT = 'SO2'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@D_VALUE1, ',', '.'))"/></xsl:when>
					<xsl:when test="$COMPONENT = 'PM10'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@D_VALUE1, ',', '.'))"/></xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_VALUE1"/>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:if>
			</td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_VALUE3"/></td>
			
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_X1"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_X2"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_X3"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_X4"/></td>
			
			<td align="right">
			<xsl:choose>
				<xsl:when test="/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT != ''">
					
					<xsl:if test="translate(./I_S_AN_HDQY_DET/DataRow/@Y_X, ',', '.') &gt; translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV, ',', '.') + translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, ',', '.')">
						<b><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_X"/></b>
					</xsl:if>
					
					<xsl:if test="translate(./I_S_AN_HDQY_DET/DataRow/@Y_X, ',', '.') &lt;= translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV, ',', '.') + translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, ',', '.')">
						<xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_X"/>
					</xsl:if>
					
				</xsl:when>
				
				<xsl:otherwise>
					<xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_X"/>
				</xsl:otherwise>
			
			</xsl:choose>
			</td>
			
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_S"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_N"/></td>
		</tr>
		
		<tr align="right">
			<td><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_MAX_DATE"/></td>
			<td><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_TE_PLUS1_MV_DATE"/></td>
			<td align="right">
				<xsl:if test="./I_S_AN_HDQY_DET/DataRow/@H_VALUE2 != ''" >
				<xsl:choose>
					<xsl:when test="$COMPONENT = 'SO2'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@H_VALUE2, ',', '.'))"/></xsl:when>
					<xsl:when test="$COMPONENT = 'NO2'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@H_VALUE2, ',', '.'))"/></xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_VALUE2"/>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:if>
			</td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@H_VALUE4"/></td>
			
			<td><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_MAX_DATE"/></td>
			<td><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_TE_PLUS1_MV_DATE"/></td>
			<td align="right">
				<xsl:if test="./I_S_AN_HDQY_DET/DataRow/@D_VALUE2 != ''" >
				<xsl:choose>
					<xsl:when test="$COMPONENT = 'PM10'"><xsl:value-of select="round(translate(./I_S_AN_HDQY_DET/DataRow/@D_VALUE2, ',', '.'))"/></xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_VALUE2"/>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:if>
			</td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@D_VALUE4"/></td>
			
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_C1"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_C2"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_C3"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Q_C4"/></td>
			
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_XG"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_SG"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_HDQY_DET/DataRow/@Y_DV"/></td>
		</tr>
		
		<tr align="right">
			<td align="center" style="background-color: #FFFFFF" ></td>
			<td align="center" style="background-color: #FFFFFF" ></td>
			<td align="center" style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
		</tr>
			
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
