<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/pollution_hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css"/>	
	</head>
	<!-- ****************************************************************** -->

	<body>
	
	<!-- Nadpis *********************************************************** -->	
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
			 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td class="tdtransp" align="center">
			<h1>
				<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_REGION/DataRow/I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@CODE"/>, 
				<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_REGION/DataRow/I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LOCALITY"/>
			</h1>
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<h3><xsl:call-template name="_SituationInYear"/><xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/></h3>
	<hr/>
	</div>
	<!-- ****************************************************************** -->
	
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->
	
	</body>
	</html>
	
	</xsl:template>
	
	<!-- Vypis kraju ****************************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_REGION/DataRow">
	
	<table class="data_table" cellspacing="1">
		<tr><th colspan="6"><xsl:call-template name="_BasicData"/></th></tr>
		<tr><td><xsl:call-template name="_LocalityCode"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@CODE"/></b></td></tr>
		<tr><td><xsl:call-template name="_Name"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LOCALITY"/></b></td></tr>
		<tr><td><xsl:call-template name="_State"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@NAME_NAT"/></b></td></tr>
		<tr><td><xsl:call-template name="_Owner"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@OWNER_NAME"/></b></td></tr>
		<tr><td><xsl:call-template name="_CityZUJ"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@ZUJ"/></b></td></tr>
		
		<tr><th colspan="6"><xsl:call-template name="_Adress"/></th></tr>
		<tr>
			<td><xsl:call-template name="_Residence"/></td>
			<td colspan="5"><b>
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@ADDRESS_STREET"/>&nbsp;
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@ADDRESS_POST_CODE"/>&nbsp;
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@ADDRESS_CITY"/></b></td>
		</tr>
				
		<tr>
			<td rowspan="3"><xsl:call-template name="_Admin"/></td>
			<td colspan="3" rowspan="3">
			<b>
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_ORG_NAME"/>
			<br/><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_STREET"/>
			<br/><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_TITLE_BEFORE"/><xsl:if test="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_TITLE_BEFORE != ''">&nbsp;</xsl:if>
				 <xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_FIRST_NAME"/>&nbsp;
				 <xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_LAST_NAME"/>&nbsp;
				 <xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_TITLE_BEHIND"/>&nbsp;
			<br/>
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_POST_CODE"/>&nbsp;
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_CITY"/>
			</b>
			</td>
			<td colspan="2">Tel: <b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_PHONE"/></b></td>
		</tr>
		<tr><td colspan="2">Fax: <b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_FAX"/></b></td></tr>
		<tr>
			<td colspan="2">
				E-mail: 
				<xsl:element name="a">
					<xsl:attribute name="href">mailto:<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_EMAIL"/></xsl:attribute>
					<b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@MANAGER_EMAIL"/></b>
				</xsl:element><!-- a -->
			</td>
		</tr>
		
		
		<tr><th colspan="6"><xsl:call-template name="_Localization"/></th></tr>
		<tr>
			<td colspan="2"><xsl:call-template name="_Coordinates"/></td><td colspan="4">
			<b>
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LATITUDE_DEGREE"/>°
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LATITUDE_MINUTE"/>'
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LATITUDE_SECOND"/>
			&quot; <xsl:call-template name="_CoordinatesSS"/> ; 
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LONGITUDE_DEGREE"/>°
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LONGITUDE_MINUTE"/>'
			<xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LONGITUDE_SECOND"/>
			&quot; <xsl:call-template name="_CoordinatesVD"/></b></td>
		</tr>
		<tr><td colspan="2"><xsl:call-template name="_Altitude"/></td><td colspan="4"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@ALTITUDE"/> m</b></td></tr>
		<tr><th colspan="6"><xsl:call-template name="_ClassificationEOI"/></th></tr>
		<tr><td><xsl:call-template name="_ClassificationEOI_abbrev"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@CLASSIFICATION"/></b></td></tr>
		<tr><td><xsl:call-template name="_ClassificationEOI_t"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@CLASSIFICATION_T"/></b></td></tr>
		<tr><td><xsl:call-template name="_ClassificationEOI_z"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@CLASSIFICATION_Z"/></b></td></tr>
		<tr><td><xsl:call-template name="_ClassificationEOI_c"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@CLASSIFICATION_C"/></b></td></tr>
		<tr><td><xsl:call-template name="_ClassificationEOI_b"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@CLASSIFICATION_B"/></b></td></tr>
		<tr><th colspan="6"><xsl:call-template name="_AnotherData"/></th></tr>
		<tr><td><xsl:call-template name="_Terrain"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@TERRAIN"/></b></td></tr>
		<tr><td><xsl:call-template name="_Landscape"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LANDSCAPE"/></b></td></tr>
		<tr><td><xsl:call-template name="_Represent"/></td><td colspan="5"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@REPRESENT"/></b></td></tr>
		<tr><th colspan="6"><xsl:call-template name="_Place"/></th></tr>
		<tr><td colspan="6"><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@LOCALITY_DESCRIPTION"/></b></td></tr>
		
		<tr><th colspan="6"><xsl:call-template name="_ListOfMeasPrg"/></th></tr>
					
		<tr>
			<td><xsl:call-template name="_Code"/></td>
			<td colspan="5"><xsl:call-template name="_Type"/></td>
		</tr>
		
		<!-- Vypis mericich programu ****************************************** -->
		<xsl:for-each select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/I_S_AN_MEAS_PRG/DataRow">
		
			<xsl:if test="./@COUNT_CHILDS &gt; 0">
				<tr>
				<td>
						<xsl:element name="a">
						<xsl:attribute name="href">../pollution_meas_prg/mp_<xsl:value-of select="./@CODE"/>_<xsl:value-of select="@ID_MEAS_PRG"/>.xml</xsl:attribute>
							<xsl:value-of select="./@CODE"/>		
					</xsl:element><!-- a -->
				</td>
				<td colspan="5"><xsl:value-of select="./@MEAS_PRG_TYPE"/></td>
				</tr>
			</xsl:if>
			
		</xsl:for-each>
		<!-- ****************************************************************** -->
		
		<tr><th colspan="6"><xsl:call-template name="_BornAndDeadMP"/></th></tr>
		<tr>
			<td colspan="3"><xsl:call-template name="_DateBorn"/><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@ACTIV_FROM"/></b></td>
			<td colspan="3"><xsl:call-template name="_DateDead"/><b><xsl:value-of select="I_S_AN_DISTRICT/DataRow/I_S_AN_LOCALITY/DataRow/@ACTIV_TO"/></b></td>
		</tr>
		
	</table>
		
	</xsl:template>
    <!-- ****************************************************************** -->
 

</xsl:stylesheet>
  
  