<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/precipitation_hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="P_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="author" content="Idea Envi"/>
		<meta name="copyright" content="2003 CHMI - Komorany, CZECH REPUBLIC"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<link rel="StyleSheet" type="text/css" href="../system/text.css"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<!-- Nadpis *********************************************************** -->
	<div style="text-align: center;">
	<table class="nadpis"> 
	<tr>
		<td class="tdtransp" align="center">
		 <img src="../images/logchmu.gif" width="59" height="39" alt="logo ČHMÚ" /></a>
		</td>
		<td class="tdtransp" align="center">
		
		<h1><xsl:call-template name="_PrecipWeekRecalcTitle"/></h1>
		<h3><xsl:call-template name="_LayoutOwners"/></h3>
					
		</td>
		<xsl:call-template name="_Header"/>
	</tr>
	</table>
	<hr/>
	</div>
	<!-- ****************************************************************** -->	
		
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

	<!-- Muenchian grouping method is my friend :-)                         -->
	<xsl:key name="ownerKey" match="P_S_AN_REPORT/DataRow/P_S_AN_WEEK_RECALC/DataRow/P_S_AN_WEEK_RECALC_REGION/DataRow/P_S_AN_WEEK_RECALC_DISTRICT/DataRow/P_S_AN_WEEK_RECALC_LOCALITY/DataRow" use="@OWNER" />	
		   
    <!-- Vypis vlastniku lokalit ****************************************** -->
	<xsl:template match="P_S_AN_REPORT/DataRow/P_S_AN_WEEK_RECALC/DataRow/P_S_AN_WEEK_RECALC_REGION/DataRow/P_S_AN_WEEK_RECALC_DISTRICT/DataRow/P_S_AN_WEEK_RECALC_LOCALITY">	

		<xsl:for-each select="DataRow[count(.|key('ownerKey', @OWNER)[1])=1]">
			<h3><xsl:value-of select="@OWNER"/></h3>
			<xsl:apply-templates select="key('ownerKey', @OWNER)" />			
		</xsl:for-each>
		
	</xsl:template>
	<!-- ****************************************************************** -->
	
    <!-- Vypis mericich programu, pro daneho vlastnika lokality *********** -->
	<xsl:template match="P_S_AN_WEEK_RECALC_MEAS_PRG/DataRow">
						
		<!--
		<xsl:if test="@COUNT_CHILDS = 0">
			<xsl:value-of select="./@CODE"/>, 
			<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)
			<span class="nodata"><xsl:call-template name="_NoData"/></span><br/>	
		</xsl:if>
		-->
		
		<xsl:if test="@COUNT_CHILDS &gt; 0">
		
			<xsl:element name="a">
				<xsl:attribute name="href">week_recalc_<xsl:value-of select="./@CODE"/>.xml</xsl:attribute>
				<xsl:value-of select="./@CODE"/>	
			</xsl:element><!-- a -->, 
			<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)<br/>	
		</xsl:if>
		
	</xsl:template>	
	<!-- ****************************************************************** -->

</xsl:stylesheet>
